<?php defined('_JEXEC') or die('Restricted access');

require_once(realpath(dirname(__FILE__) . "/../") . '/pm_payanyway/pm_payanyway.php');

class pm_payanyway_euroset extends pm_payanyway{
    
    function showPaymentForm($params, $pmconfigs){
	    self::loadLanguageFile();
        include(dirname(__FILE__) . "/paymentform.php");
    }

	//function call in admin
	function showAdminFormParams($params){
	    self::loadLanguageFile();
	  $array_params = array('online_payment', 'payment_server', 'mnt_id', 'mnt_dataintegrity_code', 'mnt_test_mode', 'mnt_currency_code', 'unitId', 'accountId', 'payanyway_login', 'payanyway_pasword');
	  foreach ($array_params as $key){
	  	if (!isset($params[$key])) $params[$key] = '';
	  } 
	  $orders = JModel::getInstance('orders', 'JshoppingModel'); //admin model
	  $currencies = JModel::getInstance('currencies', 'JshoppingModel'); //admin model
      include(dirname(__FILE__) . "/adminparamsform.php");
	}

    function checkPaymentInfo($params, $pmconfigs){
		if (empty($params["rapidaPhone"])) {
			$this->setErrorMessage("Укажите номер телефона.");
			return 0;
		}
		if (!preg_match('/^(\+)(\d|\s|\(|\)){10,20}$/', $params["rapidaPhone"])) {
			$this->setErrorMessage("Неверный формат телефона.");
			return 0;
		}
        return 1;
    }

	function checkTransaction($pmconfigs, $order, $act){
		if ($act == "invoice") {
			return parent::invoice($pmconfigs, $order, $act);
		}
		return parent::checkTransaction($pmconfigs, $order, $act);
	}
	
}
?>