<?php defined('_JEXEC') or die('Restricted access');

require_once(realpath(dirname(__FILE__) . "/../") . '/pm_payanyway/pm_payanyway.php');

class pm_payanyway_post extends pm_payanyway{
    
    function showPaymentForm($params, $pmconfigs){
	    self::loadLanguageFile();
        include(dirname(__FILE__) . "/paymentform.php");
    }

	//function call in admin
	function showAdminFormParams($params){
	  self::loadLanguageFile();
	  
	  $array_params = array('online_payment', 'payment_server', 'mnt_id', 'mnt_dataintegrity_code', 'mnt_test_mode', 'mnt_currency_code', 'unitId', 'accountId', 'payanyway_login', 'payanyway_pasword');
	  foreach ($array_params as $key){
	  	if (!isset($params[$key])) $params[$key] = '';
	  } 
	  $orders = JModel::getInstance('orders', 'JshoppingModel'); //admin model
	  $currencies = JModel::getInstance('currencies', 'JshoppingModel'); //admin model
      include(dirname(__FILE__) . "/adminparamsform.php");
	}

	function checkTransaction($pmconfigs, $order, $act){
		if ($act == "invoice") {
			return parent::invoice($pmconfigs, $order, $act);
		}
		return parent::checkTransaction($pmconfigs, $order, $act);
	}
	
    function checkPaymentInfo($params, $pmconfigs){
		if (empty($params["mailofrussiaSenderIndex"])) {
			$this->setErrorMessage("Укажите Индекс отправителя.");
			return 0;
		}
		if (empty($params["mailofrussiaSenderRegion"])) {
			$this->setErrorMessage("Укажите Регион отправителя.");
			return 0;
		}
		if (empty($params["mailofrussiaSenderAddress"])) {
			$this->setErrorMessage("Укажите Адрес отправителя.");
			return 0;
		}
		if (empty($params["mailofrussiaSenderName"])) {
			$this->setErrorMessage("Укажите Имя отправителя.");
			return 0;
		}
        return 1;
    }

}
?>